Kate::CommandExtension Class Reference

`#include <document.h>`

Inheritance diagram for Kate::CommandExtension:

## Public Member Functions

virtual void | flagCompletions (QStringList &)
virtual KCompletion * | completionObject (const QString &cmdname, Kate::View *)
virtual bool | wantsToProcessText (const QString &cmdname)
virtual void | processText (Kate::View *view, const QString &text)

## Detailed Description

Extension to the Command interface, allowing to interact with commands during typing.

This allows for completion and for example the isearch plugin. If you develop a command that wants to complete or process text as thu user types the arguments, or that has flags, you can have your command inherit this class.

Definition at line 129 of file document.h.

## Member Function Documentation

virtual KCompletion* Kate::CommandExtension::completionObject | ( | const QString & | cmdname,
|  | Kate::View * |
| ) |  |

inline virtual

Returns
  a KCompletion object that will substitute the command line default one while typing the first argument to the command. The text will be added to the command seperated by one space character.

Implement this method if your command can provide a completion object.

Parameters

  cmdname | The command name associated with this request.

Reimplemented in KateCommands::CoreCommands.

Definition at line 157 of file document.h.

virtual void Kate::CommandExtension::flagCompletions | ( | QStringList & |  | ) |

inline virtual

Fill in a list of flags to complete from.

Each flag is a single letter, any following text in the string is taken to be a description of the flag's meaning, and showed to the user as a hint. Implement this method if your command has flags.

This method is called each time the flag string in the typed command is changed, so that the available flags can be adjusted. When completions are displayed, existing flags are left out.

Definition at line 146 of file document.h.

virtual void Kate::CommandExtension::processText | ( | Kate::View * | view,
|  | const QString & | text
| ) |  |

inline virtual

This is called by the commandline each time the argument text for the command changes, if wantsToProcessText() returns true.

Parameters

  view | The current view
  text | The current command text typed by the user.

Definition at line 177 of file document.h.

virtual bool Kate::CommandExtension::wantsToProcessText | ( | const QString & | cmdname | ) |

inline virtual

Returns
  whether this command wants to process text interactively given the `cmdname`. If true, the command's processText() method is called when the text in the command line is changed.

Reimplement this to return true, if your commands wants to process the text as typed.

Parameters

  cmdname | the command name associated with this query.

Definition at line 169 of file document.h.

The documentation for this class was generated from the following file:

- document.h

KDE Home | KDE Accessibility Home | Description of Access Keys